package cn.com.ctop.toutiao.modules.report.mapper;

import cn.com.ctop.toutiao.modules.link.entity.ETLReportBytedanceVideo;
import cn.com.ctop.toutiao.modules.material.entity.EtlBytedanceVideoInfo;
import cn.com.ctop.toutiao.modules.report.entity.EtlBytedanceReportVideoDaily;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * 头条视频分日报表信息
 * @author: jeecg-boot
 * @date:   2021-02-20
 * @cersion: V1.0
 */
public interface EtlBytedanceReportVideoDailyMapper extends BaseMapper<EtlBytedanceReportVideoDaily> {

    List<Map<String,Object>> getBytedanceVideoInfo();

    void updBytedanceVideoByMd5(String md5,String coverUrl,String url);


    List<ETLReportBytedanceVideo> etlBytedanceVideoInfo(@Param(value = "date") String date);

    void replaceEtlVideoInfo(@Param(value = "videoInfo") ETLReportBytedanceVideo videoInfo);

    List<ETLReportBytedanceVideo> getCtopMaterialAscriptionInfo();

    void updateOneBytedanceVideoInfo(@Param(value = "etlReportBytedanceVideo") ETLReportBytedanceVideo etlReportBytedanceVideo);
}
